using MotorPlantContracts.BindingModels;
using MotorPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MotorPlantContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportEngineComponentViewModel> GetEngineComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveEnginesToWordFile(ReportBindingModel model);
        void SaveEngineComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
